com.jscape.inet.scp.events

## Class ScpEventAdapter

- java.lang.Object
- - com.jscape.inet.scp.events.ScpEventAdapter

- All Implemented Interfaces:
    ScpEventListener

      public class ScpEventAdapter
      extends java.lang.Object
      implements ScpEventListener

  SCP event adapter.
  Author:
    Alex Usun

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScpEventAdapter()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `connected(ScpConnectedEvent event)` Informs listener about Scp connection.
    `void` | `disconnected(ScpDisconnectedEvent event)` Informs listener about Scp disconnect.
    `void` | `download(ScpFileDownloadedEvent event)` Informs listener about file download.
    `void` | `progress(ScpTransferProgressEvent event)` Informs listener about transfer progress.
    `void` | `upload(ScpFileUploadedEvent event)` Informs listener about file upload.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ScpEventAdapter

          public ScpEventAdapter()

  - ### Method Detail

    - #### connected

          public void connected(ScpConnectedEvent event)

      Description copied from interface: `ScpEventListener`
      Informs listener about Scp connection.
      Specified by:
        `connected` in interface `ScpEventListener`
      Parameters:
        `event` - event instance

    - #### disconnected

          public void disconnected(ScpDisconnectedEvent event)

      Description copied from interface: `ScpEventListener`
      Informs listener about Scp disconnect.
      Specified by:
        `disconnected` in interface `ScpEventListener`
      Parameters:
        `event` - event instance

    - #### download

          public void download(ScpFileDownloadedEvent event)

      Description copied from interface: `ScpEventListener`
      Informs listener about file download.
      Specified by:
        `download` in interface `ScpEventListener`
      Parameters:
        `event` - event instance

    - #### upload

          public void upload(ScpFileUploadedEvent event)

      Description copied from interface: `ScpEventListener`
      Informs listener about file upload.
      Specified by:
        `upload` in interface `ScpEventListener`
      Parameters:
        `event` - event instance

    - #### progress

          public void progress(ScpTransferProgressEvent event)

      Description copied from interface: `ScpEventListener`
      Informs listener about transfer progress.
      Specified by:
        `progress` in interface `ScpEventListener`
      Parameters:
        `event` - event instance

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved